aboutsummaryrefslogtreecommitdiff
path: root/sgi/prepare-fedora-disk.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sgi/prepare-fedora-disk.sh')
-rwxr-xr-xsgi/prepare-fedora-disk.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/sgi/prepare-fedora-disk.sh b/sgi/prepare-fedora-disk.sh
index 97be284..cce1015 100755
--- a/sgi/prepare-fedora-disk.sh
+++ b/sgi/prepare-fedora-disk.sh
@@ -43,8 +43,8 @@ GRUB_FILE=${GRUB_DIR}/grub.cfg
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
TOP_DIR=`pwd`
PREBUILTS=${TOP_DIR}/prebuilts
-FED_DISK_DIR=$PREBUILTS/sgi
-FED_DISK_NAME=fedora.sgi.satadisk
+FED_DISK_DIR=$PREBUILTS/refinfra
+FED_DISK_NAME=fedora.satadisk
check_fedora_disk()
{
@@ -59,9 +59,9 @@ check_fedora_disk()
echo ""
echo "[1] Make sure to run this script from project's top directory"
echo "[2] Install the Fedora distribution "
- echo "[3] Rename the installed fedora image from <random>.satadisk to fedora.sgi.satadisk"
- echo "[4] Create a folder 'sgi' under 'prebuilts' directory "
- echo "[5] Move the installed fedora disk image to <project-loc>/prebuilts/sgi/ folder "
+ echo "[3] Rename the installed fedora image from <random>.satadisk to fedora.satadisk"
+ echo "[4] Create a folder 'refinfra' under 'prebuilts' directory "
+ echo "[5] Move the installed fedora disk image to <project-loc>/prebuilts/refinfra/ folder "
echo "[6] Run this script again from the top directory with sudo permissions"
echo ""
exit 1
@@ -72,8 +72,8 @@ update_grub ()
{
local root_uuid=$(sed -n 93p $GRUB_FILE | awk '{print $(NF)}')
local xfs_uuid=$(sed -n 97p $GRUB_FILE | awk '{print $(NF-2)}' | awk -F"=" '{ print $3 }')
- if ! grep -q sgi $GRUB_FILE; then
- sed -i "84 a menuentry 'Fedora (sgi) 27 (Server Edition)' --class fedora --class gnu-linux --class gnu --class os --unrestricted \$menuentry_id_option 'gnulinux-sgi-advanced-$xfs_uuid' --id fedora-sgi {\n\
+ if ! grep -q refinfra $GRUB_FILE; then
+ sed -i "84 a menuentry 'Fedora (refinfra) 27 (Server Edition)' --class fedora --class gnu-linux --class gnu --class os --unrestricted \$menuentry_id_option 'gnulinux-sgi-advanced-$xfs_uuid' --id fedora-refinfra {\n\
load_video\n\
insmod gzio\n\
insmod part_gpt\n\
@@ -84,19 +84,19 @@ update_grub ()
else\n\
search --no-floppy --fs-uuid --set=root $root_uuid\n\
fi\n\
- linux /vmlinux-sgi root=UUID=$xfs_uuid ro\n\
+ linux /vmlinux-refinfra root=UUID=$xfs_uuid ro\n\
initrd /initramfs-4.13.9-300.fc27.aarch64.img\n\
}\
" $GRUB_FILE
sed -i "23 a \
- default=fedora-sgi\
+ default=fedora-refinfra\
\n" $GRUB_FILE
- echo "Info: SGI Linux kernel entry has been added to the Fedora Grub Menu."
+ echo "Info: RefInfra Linux kernel entry has been added to the Fedora Grub Menu."
echo ""
else
- echo "Info: SGI Linux kernel entry already present in Fedora Grub Menu."
+ echo "Info: RefInfra Linux kernel entry already present in Fedora Grub Menu."
echo "Warn: Not updating the Grub menu."
echo ""
fi
@@ -107,7 +107,7 @@ package_kvm_tool ()
{
KVM_TOOL_URL=http://http.us.debian.org/debian/pool/main/k/kvmtool/kvmtool_0.20170904-1_arm64.deb
echo "Info: Downloading kvmtool binary"
- KVMDIR=$PREBUILTS/sgi/kvmtool
+ KVMDIR=$PREBUILTS/refinfra/kvmtool
mkdir -p $KVMDIR
pushd $KVMDIR
wget $KVM_TOOL_URL